Module
Contents
Index 🔎︎

# GlobalScope

Basic-källkod och dialogrutor administreras i biblioteksystem.

- LibraryContainer innehåller bibliotek

- Bibliotek kan innehålla moduler och dialogrutor

## I Basic:

- LibraryContainer kallas BasicLibraries.

## I dialogrutor:

- LibraryContainer kallas DialogLibraries.

Båda dessa LibraryContainers finns på programnivå och i varje dokument. I dokument-Basic anropas dokumentets LibraryContainers automatiskt. Om du vill anropa globala LibraryContainers från ett dokument måste du använda nyckelordet GlobalScope.

## Syntax:

    GlobalScope

## Exempel:

Exempel i dokument-Basic

    ' anropar Dialog1 i dokumentbiblioteket Standard

    oDlgDesc = DialogLibraries.Standard.Dialog1

    ' anropar Dialog2 i programbiblioteket Bibliotek1

    oDlgDesc = GlobalScope.DialogLibraries.Library1.Dialog2